## ros-one-openni-camera 1.11.1-4jammy.20251023.0327

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(openni_camera)

find_package(catkin COMPONENTS camera_info_manager dynamic_reconfigure image_transport nodelet roscpp sensor_msgs REQUIRED)
find_package(Boost COMPONENTS system filesystem thread REQUIRED)

find_package(PkgConfig)
pkg_check_modules(PC_LIBOPENNI REQUIRED libopenni)
pkg_check_modules(PC_LIBUSB REQUIRED libusb-1.0)

find_package(Log4cxx QUIET)
if(NOT LOG4CXX_LIBRARIES)  
    # backup plan, hope it is in the system path
  find_library(LOG4CXX_LIBRARIES log4cxx)
endif()
if(NOT LOG4CXX_LIBRARIES)
  message(ERROR "log4cxx required")
endif()

generate_dynamic_reconfigure_options(cfg/OpenNI.cfg)

catkin_package(
  INCLUDE_DIRS include  
  LIBRARIES openni_nodelet openni_driver  
  CATKIN_DEPENDS camera_info_manager dynamic_reconfigure image_transport nodelet roscpp
  DEPENDS Boost PC_LIBOPENNI
)

include_directories(include 
                    ${PC_LIBOPENNI_INCLUDE_DIRS} 
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS} 
)
add_definitions(${PC_LIBOPENNI_CFLAGS_OTHER})
 

# OpenNI Driver standalone library
add_library(openni_driver src/openni_driver.cpp
                          src/openni_device.cpp
                          src/openni_exception.cpp
                          src/openni_device_primesense.cpp
                          src/openni_device_kinect.cpp
                          src/openni_device_xtion.cpp
                          src/openni_device_oni.cpp
                          src/openni_image_yuv_422.cpp
                          src/openni_image_bayer_grbg.cpp
                          src/openni_image_rgb24.cpp
                          src/openni_ir_image.cpp
                          src/openni_depth_image.cpp
)

target_link_libraries(openni_driver ${catkin_LIBRARIES}
                                    ${Boost_LIBRARIES} 
                                    ${PC_LIBOPENNI_LIBRARIES}
                                    ${PC_LIBUSB_LIBRARIES}
                                    ${LOG4CXX_LIBRARIES}
)

# ROS nodelets library
add_library(openni_nodelet src/nodelets/driver.cpp)
target_link_libraries(openni_nodelet openni_driver ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(openni_nodelet ${PROJECT_NAME}_gencfg)

# Node version of ROS driver
add_executable(openni_node src/nodes/openni_node.cpp)
target_link_libraries(openni_node openni_driver ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(openni_node ${PROJECT_NAME}_gencfg)

install(TARGETS openni_driver openni_nodelet openni_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# add xml file
install(FILES openni_nodelets.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-openni-camera (1.11.1-4jammy.20251023.0327) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 23 Oct 2025 03:27:24 +0000

ros-one-openni-camera (1.11.1-0jammy) jammy; urgency=high

  * [improve] Python 3 conformity #67 <https://github.com/ros-drivers/openni_camera/issues/67>
  * Contributors: Isaac I.Y. Saito, cclauss

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 13 Sep 2018 00:00:00 -0000

ros-one-openni-camera (1.11.0-0jammy) jammy; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 13 Jan 2018 00:00:00 -0000

ros-one-openni-camera (1.10.0-0jammy) jammy; urgency=high

  * Copying the entire openni_launch package from https://github.com/ros-drivers/openni_launch. #57 <https://github.com/ros-drivers/openni_camera/issues/57>
  * Contributors: Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 06 Jan 2018 00:00:00 -0000

ros-one-openni-camera (1.9.5-0jammy) jammy; urgency=high

  * [feat] Updated max drop rate
  * [sys] Added log4cxx missing explicit linkage #44 <https://github.com/ros-drivers/openni_camera/issues/44>
  * Contributors: Francois-Michel De Rainville, Isaac IY Saito, Leopold Palomo-Avellaneda, Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 31 Mar 2016 00:00:00 -0000

ros-one-openni-camera (1.9.4-0jammy) jammy; urgency=high

  * Remove unneeded dependency (libopenni-sensor-primesense-dev is an internal plugin).
  * Contributors: Jochen Sprickerhof

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 27 Oct 2015 00:00:00 -0000

ros-one-openni-camera (1.9.3-0jammy) jammy; urgency=high

  * [fix] Remove several using namespace std
    - They cause compilation failure (on OS X 10.9 with clang defaulting
    to C++11)
    - Failure occurs because unique_lock and friends is both in namespace
    std and namespace boost.
  * [fix] Don't pass unsafe strings as format strings for printing
    Doing so causes build errors under -Werror=format-security. If there
    were to be a % (percent symbol) in the exception string (whether
    intentional, malicious or otherwise), the print function could
    expose memory or cause segfaults.
  * [fix] #28 <https://github.com/ros-drivers/openni_camera/issues/28>, properly parse device_id with only numbers
    The fix checks wherever an string device_id parameter is set
    or a device_id integer parameter is set. If both are missing
    it opens the first device found. If integer device_id is set
    then it parses it to string and load continues as if string
    version was set.
  * [sys] Add travis config for indigo, jade
  * [sys] Update maintainer
  * Contributors: Emili Boronat, Nikolaus Demmel, Scott K Logan, Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 17 Oct 2015 00:00:00 -0000

ros-one-openni-camera (1.9.2-0jammy) jammy; urgency=high

  * adding missing include of log4cxx/logger.h previously transitively included.
  * Contributors: Tully Foote

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Fri, 17 Jan 2014 00:00:00 -0000

ros-one-openni-camera (1.9.1-0jammy) jammy; urgency=high

  * add explicit dependency on log4cxx (#21 <https://github.com/ros-drivers/openni_camera/issues/21>)
  * Contributors: Jack O'Quin

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Fri, 17 Jan 2014 00:00:00 -0000

ros-one-openni-camera (1.9.0-0jammy) jammy; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 27 Jun 2013 13:39:00 -0000

ros-one-openni-camera (1.8.9-0jammy) jammy; urgency=high

  * Merge pull request #16 <https://github.com/ros-drivers/openni_camera/issues/16> from forouher/asus-serial
    ASUS xtion: use serial number
  * Merge pull request #17 <https://github.com/ros-drivers/openni_camera/issues/17> from jkammerl/flicker-patch
    another attempt to fix depth image flickering
  * access image data via WritableData()
  * deep&safe copy of image,ir,depth images
  * adding libusb to library target
  * workaround: remove some calls that segfault later
    unless this patch is applied, the driver will segfault later
    when querying the prime sense serial id.
    the fact that this patch is necessary is somewhat fishy and
    an indication that the other patches are probably not quite
    correct.
  * openni_driver: return prime sense serial id
  * Merge pull request #14 <https://github.com/ros-drivers/openni_camera/issues/14> from stwirth/z_scaling
    Depth scaling parameter
  * added depth scaling parameter
  * Merge pull request #12 <https://github.com/ros-drivers/openni_camera/issues/12> from dgossow/groovy-devel
    [bugfix] add exception handling
  * fixed typo
  * added exception handling for fill*Image
  * Merge pull request #10 <https://github.com/ros-drivers/openni_camera/issues/10> from dgossow/groovy-devel
    [bugfix] Publish reasonable camera info when changing depth resolution.
  * Merge pull request #9 <https://github.com/ros-drivers/openni_camera/issues/9> from jkammerl/groovy-devel
    adding check to make sure dynamic reconfigure has been called before mes...
  * [bugfix] Publish reasonable camera info when changing depth resolution.
  * adding check to make sure dynamic reconfigure has been called before message generation
  * Merge pull request #8 <https://github.com/ros-drivers/openni_camera/issues/8> from jkammerl/groovy-devel
    fixing late dynamic_reconfigure initialization
  * fixing late dynamic_reconfigure initialization
  * Contributors: Dariush Forouher, David Gossow, Julius Kammerl, Stephan Wirth, jonbinney

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 27 Jun 2013 15:14:00 -0000

ros-one-openni-camera (1.8.8-0jammy) jammy; urgency=high

  * switching to 1.8.8
  * Contributors: Julius Kammerl

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 08 Jan 2013 00:00:00 -0000

ros-one-openni-camera (1.8.7-0jammy) jammy; urgency=high

  * fix the export


=== debian/control ===
Source: ros-one-openni-camera
Section: misc
Priority: optional
Maintainer: Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>
Build-Depends: debhelper (>= 9.0.0), liblog4cxx-dev, libopenni-dev, libusb-1.0-0-dev, ros-one-camera-info-manager, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs
Homepage: http://www.ros.org/wiki/openni_camera
Standards-Version: 3.9.2

Package: ros-one-openni-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx-dev, libopenni-dev, libusb-1.0-0-dev, ros-one-camera-info-manager, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs
Description: A ROS driver for OpenNI depth (+ RGB) cameras.
 These include: Microsoft Kinect, PrimeSense PSDK, ASUS Xtion Pro and Pro Live The driver publishes raw depth, RGB, and IR image streams.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-openni-camera//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-openni-camera 1.11.1-4jammy.20260221.0007

=== debian/changelog ===
ros-one-openni-camera (1.11.1-4jammy.20260221.0007) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 21 Feb 2026 00:07:14 +0000

## ros-one-openni-camera 1.11.1-4noble.20251023.0324

=== debian/changelog ===
ros-one-openni-camera (1.11.1-4noble.20251023.0324) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 23 Oct 2025 03:24:44 +0000

ros-one-openni-camera (1.11.1-0noble) noble; urgency=high

  * [improve] Python 3 conformity #67 <https://github.com/ros-drivers/openni_camera/issues/67>
  * Contributors: Isaac I.Y. Saito, cclauss

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 13 Sep 2018 00:00:00 -0000

ros-one-openni-camera (1.11.0-0noble) noble; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 13 Jan 2018 00:00:00 -0000

ros-one-openni-camera (1.10.0-0noble) noble; urgency=high

  * Copying the entire openni_launch package from https://github.com/ros-drivers/openni_launch. #57 <https://github.com/ros-drivers/openni_camera/issues/57>
  * Contributors: Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 06 Jan 2018 00:00:00 -0000

ros-one-openni-camera (1.9.5-0noble) noble; urgency=high

  * [feat] Updated max drop rate
  * [sys] Added log4cxx missing explicit linkage #44 <https://github.com/ros-drivers/openni_camera/issues/44>
  * Contributors: Francois-Michel De Rainville, Isaac IY Saito, Leopold Palomo-Avellaneda, Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 31 Mar 2016 00:00:00 -0000

ros-one-openni-camera (1.9.4-0noble) noble; urgency=high

  * Remove unneeded dependency (libopenni-sensor-primesense-dev is an internal plugin).
  * Contributors: Jochen Sprickerhof

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 27 Oct 2015 00:00:00 -0000

ros-one-openni-camera (1.9.3-0noble) noble; urgency=high

  * [fix] Remove several using namespace std
    - They cause compilation failure (on OS X 10.9 with clang defaulting
    to C++11)
    - Failure occurs because unique_lock and friends is both in namespace
    std and namespace boost.
  * [fix] Don't pass unsafe strings as format strings for printing
    Doing so causes build errors under -Werror=format-security. If there
    were to be a % (percent symbol) in the exception string (whether
    intentional, malicious or otherwise), the print function could
    expose memory or cause segfaults.
  * [fix] #28 <https://github.com/ros-drivers/openni_camera/issues/28>, properly parse device_id with only numbers
    The fix checks wherever an string device_id parameter is set
    or a device_id integer parameter is set. If both are missing
    it opens the first device found. If integer device_id is set
    then it parses it to string and load continues as if string
    version was set.
  * [sys] Add travis config for indigo, jade
  * [sys] Update maintainer
  * Contributors: Emili Boronat, Nikolaus Demmel, Scott K Logan, Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 17 Oct 2015 00:00:00 -0000

ros-one-openni-camera (1.9.2-0noble) noble; urgency=high

  * adding missing include of log4cxx/logger.h previously transitively included.
  * Contributors: Tully Foote

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Fri, 17 Jan 2014 00:00:00 -0000

ros-one-openni-camera (1.9.1-0noble) noble; urgency=high

  * add explicit dependency on log4cxx (#21 <https://github.com/ros-drivers/openni_camera/issues/21>)
  * Contributors: Jack O'Quin

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Fri, 17 Jan 2014 00:00:00 -0000

ros-one-openni-camera (1.9.0-0noble) noble; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 27 Jun 2013 13:39:00 -0000

ros-one-openni-camera (1.8.9-0noble) noble; urgency=high

  * Merge pull request #16 <https://github.com/ros-drivers/openni_camera/issues/16> from forouher/asus-serial
    ASUS xtion: use serial number
  * Merge pull request #17 <https://github.com/ros-drivers/openni_camera/issues/17> from jkammerl/flicker-patch
    another attempt to fix depth image flickering
  * access image data via WritableData()
  * deep&safe copy of image,ir,depth images
  * adding libusb to library target
  * workaround: remove some calls that segfault later
    unless this patch is applied, the driver will segfault later
    when querying the prime sense serial id.
    the fact that this patch is necessary is somewhat fishy and
    an indication that the other patches are probably not quite
    correct.
  * openni_driver: return prime sense serial id
  * Merge pull request #14 <https://github.com/ros-drivers/openni_camera/issues/14> from stwirth/z_scaling
    Depth scaling parameter
  * added depth scaling parameter
  * Merge pull request #12 <https://github.com/ros-drivers/openni_camera/issues/12> from dgossow/groovy-devel
    [bugfix] add exception handling
  * fixed typo
  * added exception handling for fill*Image
  * Merge pull request #10 <https://github.com/ros-drivers/openni_camera/issues/10> from dgossow/groovy-devel
    [bugfix] Publish reasonable camera info when changing depth resolution.
  * Merge pull request #9 <https://github.com/ros-drivers/openni_camera/issues/9> from jkammerl/groovy-devel
    adding check to make sure dynamic reconfigure has been called before mes...
  * [bugfix] Publish reasonable camera info when changing depth resolution.
  * adding check to make sure dynamic reconfigure has been called before message generation
  * Merge pull request #8 <https://github.com/ros-drivers/openni_camera/issues/8> from jkammerl/groovy-devel
    fixing late dynamic_reconfigure initialization
  * fixing late dynamic_reconfigure initialization
  * Contributors: Dariush Forouher, David Gossow, Julius Kammerl, Stephan Wirth, jonbinney

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 27 Jun 2013 15:14:00 -0000

ros-one-openni-camera (1.8.8-0noble) noble; urgency=high

  * switching to 1.8.8
  * Contributors: Julius Kammerl

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 08 Jan 2013 00:00:00 -0000

ros-one-openni-camera (1.8.7-0noble) noble; urgency=high

  * fix the export


## ros-one-openni-camera 1.11.1-4noble.20260221.0033

=== debian/changelog ===
ros-one-openni-camera (1.11.1-4noble.20260221.0033) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 21 Feb 2026 00:33:38 +0000
